<form [formGroup]="formGroup" class="w-[300px] lg:w-[500px] px-6 py-9">
  <p class="text-lg font-semibold leading-5 text-gray-900">{{title}}</p>
  @if(subTitle){
  <p class="my-4 text-sm font-medium text-gray-600" [innerHTML]="subTitle"> 
  </p>
  } 
  <app-input-label w="full" class="my-4" >
      <input class="w-full" type="text" placeholder="이름" formControlName="name" />
    </app-input-label>  
  <div class="flex justify-end space-x-2">
    <app-button [fill]="'outline'" class="!border-border !text-neutral30 px-4"
      (click)="cancel()">{{cancelText}}</app-button>
      @if(this.formGroup.value.name !== this.validationMessage){
        <app-button class="px-4 !bg-gray-300 !border-none">{{confirmText}}</app-button>
      }@else{
        <app-button (click)="confirm()" class="bg-{{confirmColor}} px-4">{{confirmText}}</app-button> 
      }
  </div>
</form>